/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once

#include <dawn/dawn.h>
#include "../primitive.h"
#include "../texture.h"
#include "../tileset.h"
#include "../gui/font.h"
#include "../spritebatch.h"
#include "../shader.h"
#include "../../input/input.h"
#include "../../util/math.h"

positiondebug_t positionDebugCreate(
  primitive_t *debugPrimitive,
  texture_t *fontTexture, tileset_t *fontTileset
);

void positionDebugRender(shader_t *shader, positiondebug_t *debug);

void positionDebugDispose(positiondebug_t *debug);